<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">
		
	<bean name="/ui/repoApis.do"
		class="eu.dnetlib.functionality.modular.ui.repositories.RepoApisEntryPointController"
		p:menu="Overview" p:title="DataSource API Management"
		p:description="DataSource API configuration page" p:group="DataSource Management"
		p:order="5"
		p:groupOrder="10"
		p:compatibilityLevelsVocabulary="${repo.ui.compatibilityLevels.vocabulary}"
		p:validatorAddress="${repo.ui.validator.address}"
		p:validatorServiceAddress="${repo.ui.validatorService.address}">
		<property name="permissionLevels">
			<set>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>

	<bean name="/ui/addRepo.do"
		class="eu.dnetlib.functionality.modular.ui.repositories.AddRepoEntryPointController"
		p:menu="Add new Datasource" p:title="Create a new Datasource"
		p:description="Create a new dataSource" p:group="DataSource Management"
		p:order="6"
		p:groupOrder="10"
		p:datasourceTypeVocabulary="${repo.ui.datasourceTypes.vocabulary}"
		p:datasourceCountryVocabulary="${repo.ui.datasourceCountries.vocabulary}"
		p:validMenuEntry="${repo.ui.addRepo.show}">
		<property name="permissionLevels">
			<set>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>
	
	<bean name="/ui/addRepoApi.do"
		class="eu.dnetlib.functionality.modular.ui.repositories.AddRepoApiEntryPointController"
		p:menu="Add new API" p:title="Create a new API"
		p:description="Create a new dataSource API" p:group="DataSource Management"
		p:order="7"
		p:groupOrder="10"
		p:datasourceTypeVocabulary="${repo.ui.datasourceTypes.vocabulary}"
		p:complianceVocabulary="${repo.ui.compatibilityLevels.vocabulary}"
		p:contentDescriptionsVocabulary="${repo.ui.contentDescriptions.vocabulary}"
		p:protocolsVocabulary="${repo.ui.protocols.vocabulary}"
		p:validMenuEntry="${repo.ui.addApi.show}">
		<property name="permissionLevels">
			<set>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>

	<bean name="/ui/repos.do"
		class="eu.dnetlib.functionality.modular.ui.repositories.RepoEnablerEntryPointController"
		p:menu="DataSource Enabler" p:title="DataSource Enabler"
		p:description="DataSource Enabler" p:group="DataSource Management"
		p:order="8"
		p:groupOrder="10"
		p:datasourceTypeVocabulary="${repo.ui.datasourceTypes.vocabulary}"
		p:validMenuEntry="${repo.ui.validation.show}">
		<property name="permissionLevels">
			<set>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>

	<!--<bean name="/ui/reposMap.do"-->
		<!--class="eu.dnetlib.functionality.modular.ui.repositories.RepositoriesGoogleMapEntryPointController"-->
		<!--p:menu="DataSource Map" p:title="Datasource Map"-->
		<!--p:description="The map of the managed datasources" p:group="DataSource Management"-->
		<!--p:order="10"-->
		<!--p:groupOrder="10">-->
		<!--<property name="permissionLevels">-->
			<!--<set>-->
				<!--<value>USER</value>-->
				<!--<value>DS_ADMIN</value>-->
			<!--</set>-->
		<!--</property>-->
	<!--</bean>-->
</beans>
